## python-gabbi 2.4.0

=== Makefile ===
# simple Makefile for some common tasks
.PHONY: clean test dist release pypi tagv docs

gabbi-version := $(shell python -c 'import gabbi; print gabbi.__version__')

clean:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -rf .tox || true
	rm -r .testrepository || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r gabbi.egg-info || true

tagv:
	git tag -s -m ${gabbi-version} ${gabbi-version}
	git push origin main --tags

cleanagain:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r .testrepository || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r gabbi.egg-info || true

docs:
	cd docs ; $(MAKE) html

test:
	tox --skip-missing-interpreters

dist: test
	python3 setup.py sdist bdist_wheel

release: clean test cleanagain tagv pypi

pypi:
	python3 setup.py sdist bdist_wheel
	twine upload -s dist/*

docker:
	docker build --build-arg GABBI_VERSION=${gabbi-version} -t gabbi:${gabbi-version} .

=== debian/changelog ===
python-gabbi (2.4.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Add remove_six_dependency.patch and remove six as (b-)depends
    (Closes: #1053378).
  * Cleanup gabbi.egg-info on clean.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 10:03:32 +0100

python-gabbi (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:43:19 +0100

python-gabbi (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 11:50:34 +0100

=== debian/control ===
Source: python-gabbi
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-colorama,
 python3-coverage,
 python3-hacking,
 python3-httplib2,
 python3-jsonpath-rw,
 python3-mock,
 python3-pytest-cov,
 python3-testtools,
 python3-wsgi-intercept,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-gabbi
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-gabbi.git
Homepage: https://github.com/cdent/gabbi

Package: python-gabbi-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: declarative HTTP testing library - doc
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the documentation.

Package: python3-gabbi
Architecture: all
Depends:
 python3-colorama,
 python3-httplib2,
 python3-jsonpath-rw,
 python3-pbr,
 python3-testtools,
 python3-wsgi-intercept (>= 1.0.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gabbi-doc,
Description: declarative HTTP testing library - Python 3.x
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/cdent/gabbi.git
include /usr/share/openstack-pkg-tools/pkgos.make

UNIT_TEST_BLACKLIST = test_intercept_backref_post_.*_json.test_request.*|test_intercept_google_.*.test_request.*|test_intercept_regex_regex_test.test_reques.*|test_intercept_self_inheritance_of_defaults.test_request.*|test_intercept_self_bogus_method.test_request.*|test_intercept_self_simple_post.test_request.*|test_intercept_self_use_prior_location.test_request.*|test_intercept_self_get_ssl_page.test_request.*|test_live_google_.*.test_request.*|test_live_google_follow_redirects.test_request.*|test_intercept_self_get_location_from_headers.test_request.*|test_intercept_self_confirm_environ.test_request.*

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr gabbi.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
##	set -e ; for i in 2.7 ; do \
#	echo "===> Running tests"
#	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gabbi\.driver\.(test_[^_]+_[^_]+)' | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	done
#endif
##		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gabbi\.driver\.(?!.*('"$(UNIT_TEST_BLACKLIST)"'))' | tee $$TEMP_REZ | subunit2pyunit ; \

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs/source debian/python-gabbi-doc/usr/share/doc/python-gabbi-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-gabbi 3.0.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # simple Makefile for some common tasks
 .PHONY: clean test dist release pypi tagv docs
 
-gabbi-version := $(shell python -c 'import gabbi; print gabbi.__version__')
+gabbi-version := $(shell python -c 'import gabbi; print(gabbi.__version__)')
 
 clean:
 	find . -name "*.pyc" |xargs rm || true
@@ -40,7 +40,7 @@
 
 pypi:
 	python3 setup.py sdist bdist_wheel
-	twine upload -s dist/*
+	twine upload dist/*
 
 docker:
 	docker build --build-arg GABBI_VERSION=${gabbi-version} -t gabbi:${gabbi-version} .

=== requirements.txt ===
pbr
pytest
PyYAML
urllib3>=1.26.9,<2.0.0
certifi
jsonpath-rw-ext>=1.0.0
wsgi-intercept>=1.13.0
colorama

=== debian/changelog ===
python-gabbi (3.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090505).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:45:00 +0100

python-gabbi (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:00:49 +0200

python-gabbi (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches now usless:
    - 50-no-external-site-css.patch
    - remove_six_dependency.patch
  * Run unit tests at build time.
  * Add autopkgtest.
  * Bump debhelper-compat to version 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 09:41:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -18,13 +18,14 @@
  python3-hacking,
  python3-httplib2,
  python3-jsonpath-rw,
- python3-mock,
+ python3-jsonpath-rw-ext,
+ python3-pytest,
  python3-pytest-cov,
+ python3-stestr,
  python3-testtools,
- python3-wsgi-intercept,
+ python3-wsgi-intercept (>= 1.13.0),
  python3-yaml,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-gabbi
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-gabbi.git
@@ -71,9 +72,10 @@
  python3-colorama,
  python3-httplib2,
  python3-jsonpath-rw,
+ python3-jsonpath-rw-ext,
  python3-pbr,
  python3-testtools,
- python3-wsgi-intercept (>= 1.0.0),
+ python3-wsgi-intercept (>= 1.13.0),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/cdent/gabbi.git
include /usr/share/openstack-pkg-tools/pkgos.make

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9
export RES_OPTIONS=attempts:0

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr gabbi.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# test_live are doing internet access.
	pkgos-dh_auto_test --no-py2 'gabbi\.tests\.(?!test_live.*|test_intercept\.prefix_get_that_link\.test_request|test_intercept\.prefix_get_relative_link\.test_request|test_intercept\.prefix_provide_a_link\.test_request)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs/source debian/python-gabbi-doc/usr/share/doc/python-gabbi-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://github.com/cdent/gabbi/tags .*/(\d[\d\.]+)\.tar\.gz

## python-gabbi 4.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # simple Makefile for some common tasks
-.PHONY: clean test dist release pypi tagv docs
+.PHONY: clean test dist release pypi tagv docs gh
 
 gabbi-version := $(shell python -c 'import gabbi; print(gabbi.__version__)')
 
@@ -36,7 +36,10 @@
 dist: test
 	python3 setup.py sdist bdist_wheel
 
-release: clean test cleanagain tagv pypi
+release: clean test cleanagain tagv pypi gh
+
+gh:
+	gh release create ${gabbi-version} --generate-notes dist/*
 
 pypi:
 	python3 setup.py sdist bdist_wheel

=== requirements.txt ===
pytest
PyYAML
httpx[http2]
certifi
jsonpath-ng
colorama

=== debian/changelog ===
python-gabbi (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/control: sync dependencies.
  * d/patches: patch python to python3 usage.
  * d/{rules,tests/unittests}: update test command.
  * d/rules: Clean .pybuild.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Fri, 27 Feb 2026 12:58:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,24 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
  python3-colorama,
  python3-coverage,
  python3-hacking,
- python3-httplib2,
- python3-jsonpath-rw,
- python3-jsonpath-rw-ext,
+ python3-h2,
+ python3-httpx,
+ python3-jsonpath-ng,
  python3-pytest,
  python3-pytest-cov,
  python3-stestr,
- python3-testtools,
- python3-wsgi-intercept (>= 1.13.0),
  python3-yaml,
  subunit,
 Standards-Version: 4.1.3
@@ -70,12 +68,9 @@
 Architecture: all
 Depends:
  python3-colorama,
- python3-httplib2,
- python3-jsonpath-rw,
- python3-jsonpath-rw-ext,
- python3-pbr,
- python3-testtools,
- python3-wsgi-intercept (>= 1.13.0),
+ python3-h2,
+ python3-httpx,
+ python3-jsonpath-ng,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr gabbi.egg-info
+	rm -rf build .stestr gabbi.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -26,7 +26,8 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# test_live are doing internet access.
-	pkgos-dh_auto_test --no-py2 'gabbi\.tests\.(?!test_live.*|test_intercept\.prefix_get_that_link\.test_request|test_intercept\.prefix_get_relative_link\.test_request|test_intercept\.prefix_provide_a_link\.test_request)'
+	# GABBI_PREFIX is needed to ensure SCRIPT_PATH is not None
+	GABBI_PREFIX="" GABBI_SKIP_NETWORK=true pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:
